Project

General

Profile

Bug #28443

Attempt to create dataset gives: Method "query" not found in "pool.dataset"

Added by Warren Block over 2 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
Expected
Assignee:
Peter Southwell
Category:
GUI (new)
Target version:
Severity:
High
Reason for Closing:
Cannot Reproduce
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

With a new, empty volume (a mirror), with only the root dataset existing, adding a new dataset results in:

Error 201:[ENOMETHOD] Method "query" not found in "pool.dataset"

Closing that dialog and continuing with the dataset creation gives a Error 201:[ENOMETHOD] Method "create" not found in "pool.dataset" error.

It does not appear to be possible to create a new dataset.

dataseterror.png (24.1 KB) dataseterror.png Warren Block, 02/12/2018 08:29 AM
Weird.PNG (302 KB) Weird.PNG Eric Pelezo, 04/26/2018 03:24 PM
14336
17022

Related issues

Related to FreeNAS - Feature #28858: Volume Page - Total Feature Set Parent.Done2018-03-05

History

#1 Updated by Dru Lavigne over 2 years ago

  • Target version set to 11.2-BETA1

#2 Updated by Erin Clark over 2 years ago

  • Assignee changed from Erin Clark to Peter Southwell

#3 Avatar?id=13649&size=24x24 Updated by Ben Gadd over 2 years ago

  • Due date set to 03/09/2018

#4 Updated by Peter Southwell over 2 years ago

  • Related to Feature #28858: Volume Page - Total Feature Set Parent. added

#5 Updated by Peter Southwell over 2 years ago

  • Status changed from Not Started to Done
  • % Done changed from 0 to 100

This as far as I know is fixed now...
Ive been creating bunches of Datasets...

Directly and indirectly via cloned snap shots... Seems to work fine for me.. And from scratch on a new FreeNas nightly 2/26/2018

#6 Updated by Dru Lavigne over 2 years ago

  • Status changed from Done to Closed
  • Target version changed from 11.2-BETA1 to N/A
  • Reason for Closing set to Cannot Reproduce

#7 Updated by Eric Pelezo over 2 years ago

17022

The same thing just happened to me, I looked at the disks in the old UI, then went to the new UI and tried to look at my pool which popped the error back up.

I'm new to this site, so I hope I'm doing this right and not messing the original ticket up!

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 893, in method_lookup
serviceobj = self.get_service(service)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 822, in get_service
return self.
_services[name]
KeyError: 'pool.dataset'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 150, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 109, in next
return self.gen.send(None)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in call_method
serviceobj, methodobj = self._method_lookup(message['method'])
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 896, in _method_lookup
raise CallError(f'Method "{method_name}" not found in "{service}"', CallError.ENOMETHOD)
middlewared.service_exception.CallError: [ENOMETHOD] Method "query" not found in "pool.dataset"

#8 Updated by Dru Lavigne over 2 years ago

Eric: is this on the latest nightly? If so, please attach a debug (System -> Advanced -> Save Debug) to this ticket. Otherwise, it should already be fixed in the nightlies.

Also available in: Atom PDF